com.trendmicro.ds.platform.rest.object.scheduledtask

## Class Schedule

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.Schedule

-     public class Schedule
      extends java.lang.Object

  Details of a schedule.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Schedule.RecurrenceType` Recurrence type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Schedule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DailyScheduleParameters` | `getDailyScheduleParameters()` Get the daily schedule parameters for the task.
    `MonthlyScheduleParameters` | `getMonthlyScheduleParameters()` Get the monthly schedule parameters for the task.
    `java.lang.Integer` | `getRecurrenceCount()` Get the recurrence count for the task.
    `Schedule.RecurrenceType` | `getRecurrenceType()` Get the recurrence type for the task.
    `java.lang.Long` | `getStartTime()` Get the start time for the task.
    `WeeklyScheduleParameters` | `getWeeklyScheduleParameters()` Get the weekly schedule parameters for the task.
    `void` | `setDailyScheduleParameters(DailyScheduleParameters dailyScheduleParameters)` Set the daily schedule parameters for the task.
    `void` | `setMonthlyScheduleParameters(MonthlyScheduleParameters monthlyScheduleParameters)` Set the monthly schedule parameters for the task.
    `void` | `setRecurrenceCount(java.lang.Integer recurrenceCount)` Set the recurrence count for the task.
    `void` | `setRecurrenceType(Schedule.RecurrenceType recurrenceType)` Set the recurrence type for the task.
    `void` | `setStartTime(java.lang.Long startTime)` Set the start time for the task.
    `void` | `setWeeklyScheduleParameters(WeeklyScheduleParameters weeklyScheduleParameters)` Set the weekly schedule parameters for the task.
    `java.lang.String` | `toString()`
    `Schedule` | `withDailyScheduleParameters(DailyScheduleParameters dailyScheduleParameters)` Set the daily schedule parameters for the task.
    `Schedule` | `withMonthlyScheduleParameters(MonthlyScheduleParameters monthlyScheduleParameters)` Set the monthly schedule parameters for the task.
    `Schedule` | `withRecurrenceCount(java.lang.Integer recurrenceCount)` Set the recurrence count for the task.
    `Schedule` | `withRecurrenceType(Schedule.RecurrenceType recurrenceType)` Set the recurrence type for the task.
    `Schedule` | `withScheduleParameters(IScheduleParameters scheduleParameters)` Set the schedule parameters for the task.
    `Schedule` | `withStartTime(java.util.Date startTime)` Set the start time for the task.
    `Schedule` | `withStartTime(java.lang.Long startTime)` Set the start time for the task.
    `Schedule` | `withWeeklyScheduleParameters(WeeklyScheduleParameters weeklyScheduleParameters)` Set the weekly schedule parameters for the task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Schedule

          public Schedule()

  - ### Method Detail

    - #### getStartTime

          public java.lang.Long getStartTime()

      Get the start time for the task.
      Returns:
        the start time for the task.

    - #### setStartTime

          public void setStartTime(java.lang.Long startTime)

      Set the start time for the task.
      Parameters:
        `startTime` - the start time for the task.

    - #### withStartTime

          public Schedule withStartTime(java.lang.Long startTime)

      Set the start time for the task.
      Parameters:
        `startTime` - the start time for the task.
      Returns:
        the updated Schedule object.

    - #### withStartTime

          public Schedule withStartTime(java.util.Date startTime)

      Set the start time for the task.
      Parameters:
        `startTime` - the start time for the task.
      Returns:
        the updated Schedule object.

    - #### getRecurrenceType

          public Schedule.RecurrenceType getRecurrenceType()

      Get the recurrence type for the task.
      Returns:
        the recurrence type for the task.

    - #### setRecurrenceType

          public void setRecurrenceType(Schedule.RecurrenceType recurrenceType)

      Set the recurrence type for the task.
      Parameters:
        `recurrenceType` - the recurrence type for the task.

    - #### withRecurrenceType

          public Schedule withRecurrenceType(Schedule.RecurrenceType recurrenceType)

      Set the recurrence type for the task.
      Parameters:
        `recurrenceType` - the recurrence type for the task.
      Returns:
        the updated Schedule object.

    - #### getRecurrenceCount

          public java.lang.Integer getRecurrenceCount()

      Get the recurrence count for the task.

      A recurrence count of zero implies that the task will continue to recur forever. A value greater than zero is a count which is decremented every time the task runs, and when the defined number of task executions is reached the task is automatically deleted.

      Returns:
        the recurrence count for the task.

    - #### setRecurrenceCount

          public void setRecurrenceCount(java.lang.Integer recurrenceCount)

      Set the recurrence count for the task.

      A recurrence count of zero implies that the task will continue to recur forever. A value greater than zero is a count which is decremented every time the task runs, and when the defined number of task executions is reached the task is automatically deleted.

      Parameters:
        `recurrenceCount` - the recurrence count for the task.

    - #### withRecurrenceCount

          public Schedule withRecurrenceCount(java.lang.Integer recurrenceCount)

      Set the recurrence count for the task.

      A recurrence count of zero implies that the task will continue to recur forever. A value greater than zero is a count which is decremented every time the task runs, and when the defined number of task executions is reached the task is automatically deleted.

      Parameters:
        `recurrenceCount` - the recurrence count for the task.
      Returns:
        the updated Schedule object.

    - #### getDailyScheduleParameters

          public DailyScheduleParameters getDailyScheduleParameters()

      Get the daily schedule parameters for the task.

      A `DailyScheduleParameters` object is required whenever the `RecurrenceType` is Daily. The DailyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Returns:
        the daily schedule parameters for the task.

    - #### setDailyScheduleParameters

          public void setDailyScheduleParameters(DailyScheduleParameters dailyScheduleParameters)

      Set the daily schedule parameters for the task.

      A `DailyScheduleParameters` object is required whenever the `RecurrenceType` is Daily. The DailyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Parameters:
        `dailyScheduleParameters` - the daily schedule parameters for the task.

    - #### withDailyScheduleParameters

          public Schedule withDailyScheduleParameters(DailyScheduleParameters dailyScheduleParameters)

      Set the daily schedule parameters for the task.

      A `DailyScheduleParameters` object is required whenever the `RecurrenceType` is Daily. The DailyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Parameters:
        `dailyScheduleParameters` - the daily schedule parameters for the task.
      Returns:
        the updated Schedule object.

    - #### getWeeklyScheduleParameters

          public WeeklyScheduleParameters getWeeklyScheduleParameters()

      Get the weekly schedule parameters for the task.

      A `WeeklyScheduleParameters` object is required whenever the `RecurrenceType` is Weekly. The WeeklyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Returns:
        the weekly schedule parameters for the task.

    - #### setWeeklyScheduleParameters

          public void setWeeklyScheduleParameters(WeeklyScheduleParameters weeklyScheduleParameters)

      Set the weekly schedule parameters for the task.

      A `WeeklyScheduleParameters` object is required whenever the `RecurrenceType` is Weekly. The WeeklyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Parameters:
        `weeklyScheduleParameters` - the weekly schedule parameters for the task.

    - #### withWeeklyScheduleParameters

          public Schedule withWeeklyScheduleParameters(WeeklyScheduleParameters weeklyScheduleParameters)

      Set the weekly schedule parameters for the task.

      A `WeeklyScheduleParameters` object is required whenever the `RecurrenceType` is Weekly. The WeeklyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Parameters:
        `weeklyScheduleParameters` - the weekly schedule parameters for the task.
      Returns:
        the updated Schedule object.

    - #### getMonthlyScheduleParameters

          public MonthlyScheduleParameters getMonthlyScheduleParameters()

      Get the monthly schedule parameters for the task.

      A `MonthlyScheduleParameters` object is required whenever the `RecurrenceType` is Monthly. The MonthlyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Returns:
        the monthly schedule parameters for the task.

    - #### setMonthlyScheduleParameters

          public void setMonthlyScheduleParameters(MonthlyScheduleParameters monthlyScheduleParameters)

      Set the monthly schedule parameters for the task.

      A `MonthlyScheduleParameters` object is required whenever the `RecurrenceType` is Monthly. The MonthlyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Parameters:
        `monthlyScheduleParameters` - the monthly schedule parameters for the task.

    - #### withMonthlyScheduleParameters

          public Schedule withMonthlyScheduleParameters(MonthlyScheduleParameters monthlyScheduleParameters)

      Set the monthly schedule parameters for the task.

      A `MonthlyScheduleParameters` object is required whenever the `RecurrenceType` is Monthly. The MonthlyScheduleParameters is not valid with any other {@code RecurrenceType}.

      Parameters:
        `monthlyScheduleParameters` - the monthly schedule parameters for the task.
      Returns:
        the updated Schedule object.

    - #### withScheduleParameters

          public Schedule withScheduleParameters(IScheduleParameters scheduleParameters)

      Set the schedule parameters for the task.
      Parameters:
        `scheduleParameters` - the schedule parameters for the task.
      Returns:
        the updated Schedule object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.